package com.zd.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 异常设备对象 lab_abnormal
 *
 * @author zd
 * @date 2021-09-07
 */
@ApiModel("异常设备表")
public class LabAbnormal extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private Long id;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    @Excel(name = "名称",sort = 1)
    private String name;

    /**
     * 设备类型
     */
    @ApiModelProperty("设备类型")
    private Integer type;

    /**
     * 异常原因
     */
    @ApiModelProperty("异常原因")
    @Excel(name = "异常原因",sort = 5)
    private String abnormalReason;

    /**
     * 关联硬件设备id
     */
    @ApiModelProperty("关联硬件设备id")
    private Long hardwareId;

    /**
     * 关联传感器id
     */
    @ApiModelProperty("关联传感器id")
    private Long sensorId;

    /**
     * 部门id
     */
    @ApiModelProperty("关联传感器id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    @Excel(name = "学院",sort = 3)
    private String deptName;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty("创建人")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setAbnormalReason(String abnormalReason) {
        this.abnormalReason = abnormalReason;
    }

    public String getAbnormalReason() {
        return abnormalReason;
    }

    public void setHardwareId(Long hardwareId) {
        this.hardwareId = hardwareId;
    }

    public Long getHardwareId() {
        return hardwareId;
    }

    public void setSensorId(Long sensorId) {
        this.sensorId = sensorId;
    }

    public Long getSensorId() {
        return sensorId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("type", getType())
                .append("abnormalReason", getAbnormalReason())
                .append("hardwareId", getHardwareId())
                .append("sensorId", getSensorId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("createTime", getCreateTime())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
